Subject: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Mar 2021 09:42:55 +0200

> From: Andy Moreton <[email-masked]>
> Date: Sat, 06 Mar 2021 00:33:10 +0000
> 
> > This is a conservative choice, we may want to look only at
> > '--with-wide-int' but I'm wondering if that's really the only sensitive
> > input therefore having `system-configuration-options' in the equation
> > looked safer to me at least for now.
> 
> I agree that it is a conservative choice, but that still misses features
> that are enabled/disabled by default in the configury.
> 
> Thus the ABI hash should also include `system-configuration-features'.

Which of the features you think might affect the ABI?  I reviewed them
a couple of days ago and didn't find any I could convince myself
should affect that, but maybe I missed something.

Or maybe we should ask Andrea to try to provide a more detailed
definition of what exactly constitutes the "ABI" in this case.